[Flatpak] Update to GNOME master runtime
authormcatanzaro@igalia.com <mcatanzaro@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 21 Aug 2018 13:53:31 +0000 (13:53 +0000)
committermcatanzaro@igalia.com <mcatanzaro@igalia.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Tue, 21 Aug 2018 13:53:31 +0000 (13:53 +0000)
commit827cd281d87a27f0476fe6f23b1e0524212c12db
treea2ef8ab2448baabbe0286363ef523d48ce847b2a
parent1537c226c69234d277fcf77a6be1b2001e3741b3
[Flatpak] Update to GNOME master runtime
https://bugs.webkit.org/show_bug.cgi?id=188731

Reviewed by Philippe Normand.

The 3.28 runtime is pretty stale at this point. We could wait a couple weeks for the 3.30
runtime, but I don't think there's any need to stick with the stable runtime when we have
the ability to pin to a particular version of the master runtime. There are also several
advantages to switching to the master runtime.

* flatpak/files/httpd-autogen.sh: Removed.
* flatpak/flatpakutils.py:
(WebkitFlatpak.clean_args):
* flatpak/org.webkit.GTK.yaml:
* flatpak/org.webkit.WebKit.yaml:
* flatpak/patches/httpd-0001-configure-use-pkg-config-for-PCRE-detection.patch: Removed.
* flatpak/patches/libgcrypt-0001-Use-pkg-config-to-detect-gpg-error.patch: Removed.

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@235114 268f45cc-cd09-0410-ab3c-d52691b4dbfc
Tools/ChangeLog
Tools/flatpak/files/httpd-autogen.sh [deleted file]
Tools/flatpak/flatpakutils.py
Tools/flatpak/org.webkit.GTK.yaml
Tools/flatpak/org.webkit.WebKit.yaml
Tools/flatpak/patches/httpd-0001-configure-use-pkg-config-for-PCRE-detection.patch [deleted file]
Tools/flatpak/patches/libgcrypt-0001-Use-pkg-config-to-detect-gpg-error.patch [deleted file]